<template>
  <div>
    <v-card-text>
      <br>
      <h3 class="black--text text-left font-weight-medium">
        INICIAR SESIÓN
      </h3>
      <ValidationObserver ref="observer" v-slot="{ handleSubmit, invalid }">
        <v-form @submit.prevent="handleSubmit(login)" class="custom-error">
          <ValidationProvider
              v-slot="{ errors }"
              name="Correo eléctronico"
              rules="required|email"
          >
            <v-text-field
                label="Correo eléctronico"
                autocomplete="off"
                type="email"
                name="text"
                v-model="user.email"
                :error-messages="errors"
                append-icon="mdi-account"
            />
          </ValidationProvider>
          <ValidationProvider
              v-slot="{ errors }"
              name="La contraseña"
              rules="required"
          >
            <v-text-field
                autocomplete="off"
                label="Contraseña"
                type="password"
                name="password"
                v-model="user.password"
                :error-messages="errors"
                append-icon="mdi-key"
            />
          </ValidationProvider>
          <v-card-actions>
            <v-btn block color="info" :loading="loading" :disabled="invalid" type="submit">Ingresar</v-btn>
          </v-card-actions>
          <v-btn text @click="$router.push({name:'register'})">¿Aun no tienes cuenta?</v-btn>
        </v-form>
      </ValidationObserver>
      <v-card-title>José Santiago</v-card-title>
      <v-alert type="info" color="info">axios, vuex, vuex-persistedstate, Toast, vee validate.</v-alert>
      <a href="https://josesantiago-be014.web.app/">Ver portafolio</a>
    </v-card-text>

  </div>
</template>

<script>
import { required, email } from "vee-validate/dist/rules";
import {
  extend,
  ValidationObserver,
  ValidationProvider,
  setInteractionMode,
} from "vee-validate";

setInteractionMode("eager");

extend("required", {
  ...required,
  message: "{_field_} no puede estar vacio.",
});

extend("email", {
  ...email,
  message: "{_field_} no es valído.",
});
export default {
name: "LoginComponent",
  components:{
  ValidationProvider,
    ValidationObserver
  },
  data:()=>({
    loading:false,
    user:{
      email:'cln.mauricio@gmail.com',
      password:'password$1'
    }

  }),
  methods:{
    login(){
      this.loading= true
      this.$http.post('https://gohan-upjhfp6ytq-ue.a.run.app/api/login',this.user).then(res=>{
        if (res.data.success==true){
          console.log('entraste')
          this.$router.push({name:'home'})
          this.$store.dispatch('token', res.data.result.token)
        }else{
          console.log('No Entraste')
        }
      }).finally(()=>{
        this.loading= false
      })
    }
  }
}
</script>

<style scoped>

</style>